=== debian/changelog ===
libmbe (1.3.0) bionic; urgency=low

  * Initial upload!

 -- Jared Szechy <jared.szechy@gmail.com>  Wed, 27 Jun 2018 23:00:00 -0400
